﻿using System;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;

namespace WindowsPhoneApplicationBarDemo
{
    public partial class MainPage : PhoneApplicationPage
    {
        ApplicationBar applicationBar;

        // Constructor
        public MainPage()
        {
            InitializeComponent();

            applicationBar = new ApplicationBar();
            applicationBar.IsVisible = true;
            applicationBar.IsMenuEnabled = true;
            ApplicationBarIconButton btnAdd = new ApplicationBarIconButton(new Uri("/Images/appbar.add.rest.png", UriKind.Relative));
            btnAdd.Text = "cancel";
            ApplicationBarIconButton btnMinus = new ApplicationBarIconButton(new Uri("/Images/appbar.minus.rest.png", UriKind.Relative));
            btnMinus.Text = "close";
            applicationBar.Buttons.Add(btnAdd);
            applicationBar.Buttons.Add(btnMinus);
            ApplicationBarMenuItem menuItem1 = new ApplicationBarMenuItem("菜单项1");
            ApplicationBarMenuItem menuItem2 = new ApplicationBarMenuItem("菜单项2");
            applicationBar.MenuItems.Add(menuItem1);
            applicationBar.MenuItems.Add(menuItem2);
            btnAdd.Click += new EventHandler(btnAdd_Click);
            btnMinus.Click += new EventHandler(btnMinus_Click);
            menuItem1.Click += new EventHandler(menuItem1_Click);
            menuItem2.Click += new EventHandler(menuItem2_Click);
        }

        void menuItem2_Click(object sender, EventArgs e)
        {
            tbl.Text = "菜单项2";
        }

        void menuItem1_Click(object sender, EventArgs e)
        {
            tbl.Text = "菜单项1";
        }

        void btnMinus_Click(object sender, EventArgs e)
        {
            tbl.Text = "Minus";
        }

        void btnAdd_Click(object sender, EventArgs e)
        {
            tbl.Text = "Add";
        }
    }
}